summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-05-17 14:00:05 -0500
committerAustin English <wizardedit@gentoo.org>2016-05-17 16:13:10 -0500
commitc67e82ed5038d00fff0769c25480cf817672773a (patch)
tree7cd7c3bf0bee2c345b78bbfa6c39188669ab0794 /dev-python/kafka-python
parentdev-perl/Gentoo-App-Pram: Add dev-vcs/git dependency to DEPEND. (diff)
downloadgentoo-c67e82ed5038d00fff0769c25480cf817672773a.tar.gz
gentoo-c67e82ed5038d00fff0769c25480cf817672773a.tar.bz2
gentoo-c67e82ed5038d00fff0769c25480cf817672773a.zip
dev-python/kafka-python: initial ebuild
Package-Manager: portage-2.2.26
Diffstat (limited to 'dev-python/kafka-python')
-rw-r--r--dev-python/kafka-python/Manifest1
-rw-r--r--dev-python/kafka-python/kafka-python-1.1.1.ebuild30
-rw-r--r--dev-python/kafka-python/metadata.xml20
3 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/kafka-python/Manifest b/dev-python/kafka-python/Manifest
new file mode 100644
index 00000000000..55118a2642a
--- /dev/null
+++ b/dev-python/kafka-python/Manifest
@@ -0,0 +1 @@
+DIST kafka-python-1.1.1.tar.gz 213892 SHA256 1da61987111d23918aaebc81e1a5cfc8c72193a5df3caf4ce8826cf08bef89ec SHA512 aa95c5e5ae7790b898cfa40e763eb9c64f17c74ce1322b9a31edfd61fe693ff7cf7048d3f90cac5911c7c4dc8aa7c34ec9d33224bdad5ae5e9591e7fbcc01967 WHIRLPOOL 7706058a061c08bdd383de36dadb4035fb2c4606b0a0440062e0b92ea3965cbd1dbdb88ffc6784096e62d088a733fce66617aef63463485c5a1cfe416a007743
diff --git a/dev-python/kafka-python/kafka-python-1.1.1.ebuild b/dev-python/kafka-python/kafka-python-1.1.1.ebuild
new file mode 100644
index 00000000000..fc2ef436e19
--- /dev/null
+++ b/dev-python/kafka-python/kafka-python-1.1.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Kafka protocol support in Python"
+HOMEPAGE="https://github.com/dpkp/kafka-python/ https://pypi.python.org/pypi/kafka-python/"
+SRC_URI="https://github.com/dpkp/kafka-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="snappy test"
+
+RDEPEND="snappy? ( dev-python/snappy[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/tox[${PYTHON_USEDEP}]
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ )"
+
+python_test() {
+ esetup.py test || die "tests failed"
+}
diff --git a/dev-python/kafka-python/metadata.xml b/dev-python/kafka-python/metadata.xml
new file mode 100644
index 00000000000..e2edf6176a9
--- /dev/null
+++ b/dev-python/kafka-python/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>wizardedit@gentoo.org</email>
+ <name>Austin English</name>
+ </maintainer>
+ <longdescription>
+ Python client for Apache Kafka
+ </longdescription>
+ <use>
+ <flag name="snappy">
+ Install snappy compression/decompression support
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="github">dpkp/kafka-python</remote-id>
+ <remote-id type="pypi">kafka-python</remote-id>
+ </upstream>
+</pkgmetadata>